# Class CdsHealpix

java.lang.Object
uk.ac.starlink.ttools.cone.CdsHealpix

All Implemented Interfaces:
  `cds.moc.HealpixImpl`

public class CdsHealpix extends Object implements cds.moc.HealpixImpl
Healpix implementation for use with the MOC library based on F-X Pineau's cds-healpix-java library.

Use `getInstance()` to obtain the singleton instance of this class.

Since:
  21 May 2020
Author:
  Mark Taylor
See Also:
  - https://github.com/cds-astro/cds-healpix-java

## Method Summary

Modifier and Type
Method
Description
`long`
`ang2pix(int order, double lonDeg, double latDeg)`
`static CdsHealpix`
`getInstance()`
Returns the sole instance of this class.
`double[]`
`pix2ang(int order, long ipix)`
`long[]`
`queryDisc(int order, double lonDeg, double latDeg, double radiusDeg)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### ang2pix

public long ang2pix(int order, double lonDeg, double latDeg)

Specified by:
  `ang2pix` in interface `cds.moc.HealpixImpl`

### pix2ang

public double[] pix2ang(int order, long ipix)

Specified by:
  `pix2ang` in interface `cds.moc.HealpixImpl`

### queryDisc

public long[] queryDisc(int order, double lonDeg, double latDeg, double radiusDeg)

Specified by:
  `queryDisc` in interface `cds.moc.HealpixImpl`

### getInstance

public static CdsHealpix getInstance()
Returns the sole instance of this class.

Returns:
  singleton instance